<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: booktitlepage.xsl,v 1.1 2005/09/26 11:37:34 toms Exp $ -->
<!DOCTYPE xsl:stylesheet >
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:svg="http://www.w3.org/2000/svg">


<xsl:template name="book.titlepage.recto">
  <fo:block font-family="{$sans.font.family}"
     margin-top="60.75pt - 54pt" height="63mm" border="0.45pt solid black"
     padding="15.75pt" hyphenate="false">
    <fo:block color="grey" text-align="left" font-size="40pt" font-weight="bold">
      <fo:block><xsl:value-of
        select="self::book/bookinfo/productname"/></fo:block>
      <fo:block><xsl:value-of
        select="self::book/bookinfo/titleabbrev"/></fo:block>
    </fo:block>
    <fo:block margin-top="2em"><fo:instream-foreign-object>
     <svg:svg width="472.5pt" height="40pt" version="1.0">
      <svg:text
            id="novell.address.text"
            font-size="11pt"
            font-family="{$sans.font.family}"
            y="12.5"
            x="445">www.novell.com</svg:text>
      <svg:text
            id="productnumber.text"
            x="10"
            y="45"
            font-size="11pt"
            font-family="{$sans.font.family}"
         ><xsl:value-of
            select="self::book/bookinfo/productnumber" /></svg:text>
      <svg:text
            id="date.text"
            x="110"
            y="45"
            font-size="11pt"
            font-family="{$sans.font.family}">
         <xsl:choose>
            <xsl:when test="self::book/bookinfo/date">
               <xsl:apply-templates select="self::book/bookinfo/date/node()"/>
            </xsl:when>
            <xsl:when test="self::book/bookinfo/invpartnumber">
               <xsl:apply-templates
                  select="self::book/bookinfo/invpartnumber"/>
            </xsl:when>
            <xsl:otherwise/>
         </xsl:choose>
      </svg:text>
      <svg:line
            stroke="black"
            y2="20"
            x2="598.97180"
            y1="20"
            x1="0.14098030"
            id="horiz.line" />
      <svg:line
            id="vert.line"
            stroke="black"
            y2="50"
            x2="93.930595"
            y1="20"
            x1="93.799248" />
      <svg:circle
            stroke="black"
            stroke-width="0.3pt"
            r="1.5mm"
            cy="20"
            cx="420"
            id="red.circle">
     <xsl:choose>
       <xsl:when test="$format.print = '1'">
        <xsl:attribute name="fill">
          <xsl:text>grey</xsl:text>
        </xsl:attribute>
       </xsl:when>
       <xsl:otherwise>
        <xsl:attribute name="fill">
          <xsl:text>#f90823</xsl:text>
        </xsl:attribute>
       </xsl:otherwise>
     </xsl:choose>
      </svg:circle>
     </svg:svg></fo:instream-foreign-object>
    </fo:block>
  </fo:block>
  <!-- *HACK* Novell Logos.
              The positioning could be probably designed better, but I don't know how
              Depends highly on the SVG graphics!
   -->
<!--  <fo:block-container top="{$page.height} -94.5pt -5pt"
   left="55pt"
   absolute-position="fixed">
    <fo:block><fo:external-graphic
          content-width="94.5pt" content-height="4cm" width="94.5pt">
     <xsl:choose>
       <xsl:when test="$format.print = '1'">
        <xsl:attribute name="src">
          <xsl:text>url('../../../novdoc/xslt/images/svg/n-logo-bw.svg')</xsl:text>
        </xsl:attribute>
       </xsl:when>
       <xsl:otherwise>
        <xsl:attribute name="src">
          <xsl:text>url('../../../novdoc/xslt/images/svg/n-logo.svg')</xsl:text>
        </xsl:attribute>
       </xsl:otherwise>
     </xsl:choose>
   </fo:external-graphic>
  </fo:block>
  </fo:block-container>-->
  <!-- top={$page.height} -40.5pt -2.5mm-->
  <fo:block-container top="{$page.height} -94.5pt -5pt"
   left="202pt"
   right="63pt"
   bottom="40.5pt"
   absolute-position="fixed">
   <fo:block><fo:external-graphic
           content-width="94.5pt" width="94.5pt">
     <xsl:choose>
       <xsl:when test="$format.print = '1'">
        <xsl:attribute name="src">
          <xsl:text>url('../../../novdoc/xslt/images/svg/suse-logo-bw.svg')</xsl:text>
        </xsl:attribute>
       </xsl:when>
       <xsl:otherwise>
        <xsl:attribute name="src">
          <xsl:text>url('../../../novdoc/xslt/images/svg/suse-logo.svg')</xsl:text>
        </xsl:attribute>
       </xsl:otherwise>
     </xsl:choose>
    </fo:external-graphic>
   </fo:block>
  </fo:block-container>


<!--  <xsl:choose>
    <xsl:when test="bookinfo/title">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/title"/>
    </xsl:when>
    <xsl:when test="info/title">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/title"/>
    </xsl:when>
    <xsl:when test="title">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="title"/>
    </xsl:when>
  </xsl:choose>

  <xsl:choose>
    <xsl:when test="bookinfo/subtitle">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/subtitle"/>
    </xsl:when>
    <xsl:when test="info/subtitle">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/subtitle"/>
    </xsl:when>
    <xsl:when test="subtitle">
      <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="subtitle"/>
    </xsl:when>
  </xsl:choose>-->


<!--  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/corpauthor"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/corpauthor"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/authorgroup"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/authorgroup"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/author"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/authorgroup"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="bookinfo/author"/>
  <xsl:apply-templates mode="book.titlepage.recto.auto.mode" select="info/author"/>-->

</xsl:template>



<xsl:template match="bookinfo/authorgroup" mode="book.titlepage.verso.auto.mode">
   <fo:block id="authors-list" font-size="9pt" space-before="1.5em">
    <fo:inline font-weight="bold">
      <xsl:call-template name="gentext">
         <xsl:with-param name="key" select="'ListofAuthors'"/>
      </xsl:call-template>
      <xsl:text>: </xsl:text>
    </fo:inline>
    <xsl:for-each select="author">
      <xsl:apply-templates select="self::author[current()]"/>
      <xsl:choose>
         <xsl:when test="position() = last()"/> <!-- do nothing -->
         <xsl:otherwise>
         <xsl:text>, </xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:for-each>
   </fo:block>
</xsl:template>


</xsl:stylesheet>
