<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: docbook.xsl,v 1.22 2005/09/26 12:16:10 toms Exp $ -->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
>

<!-- Import the current version of the stylesheets  -->
<!--<xsl:import href="cropmarks.xsl"/>-->
<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"/>

<xsl:output method="xml" indent="yes" encoding="UTF-8"/>

<xsl:include href="param.xsl"/>
<xsl:include href="attributesets.xsl"/>
<xsl:include href="fonts.xsl"/>
<xsl:include href="../common/copy-nodes.xsl"/>

<xsl:include href="lists.xsl"/>
<xsl:include href="callout.xsl"/>
<xsl:include href="verbatim.xsl"/>
<xsl:include href="xref.xsl"/>
<xsl:include href="table.xsl"/>
<xsl:include href="sections.xsl"/>
<xsl:include href="inlines.xsl"/>

<xsl:include href="footer.xsl"/>
<xsl:include href="header.xsl"/>
<xsl:include href="hyphenate-url.xsl"/>
<xsl:include href="toc.xsl"/>
<xsl:include href="admon.xsl"/>
<xsl:include href="component.xsl"/>

<xsl:include href="redefinitions.xsl"/>
<xsl:include href="booktitlepage.xsl"/>
<xsl:include href="articletitlepage.xsl"/>
<xsl:include href="titlepages.xsl"/>

<xsl:include href="xep.xsl"/>


<!-- Use cropmarks? -->
<xsl:param name="use.xep.cropmarks" select="1"/>

<!-- Use extensions -->
<xsl:param name="xep.extensions">1</xsl:param>
<xsl:param name="fop.extensions">0</xsl:param>


<xsl:template match="/">
  <xsl:if test="$use.xep.cropmarks != 0 and $xep.extensions != 0">
   <xsl:processing-instruction
      name="xep-pdf-crop-offset">1cm</xsl:processing-instruction>
   <xsl:processing-instruction
      name="xep-pdf-bleed">3.5mm</xsl:processing-instruction>
   <xsl:processing-instruction
      name="xep-pdf-crop-mark-width">0.5pt</xsl:processing-instruction>
  </xsl:if>
  <xsl:if test="$xep.extensions != 0">
     <xsl:processing-instruction
     name="xep-pdf-view-mode">show-bookmarks</xsl:processing-instruction>
  </xsl:if>
  <xsl:apply-imports/>
</xsl:template>


</xsl:stylesheet>
