<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: param.xsl,v 1.1 2005/09/26 11:27:13 toms Exp $ -->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
>


<!-- Our Layout -->
<xsl:param name="paper.type">NOVELL Layout:</xsl:param>
<xsl:param name="page.height">612pt</xsl:param>
<xsl:param name="page.width">504pt</xsl:param>
<xsl:param name="double.sided">1</xsl:param>

<xsl:param name="header.rule" select="0"/>
<xsl:param name="footer.rule" select="0"/>

<xsl:param name="page.margin.outer">90pt</xsl:param>
<xsl:param name="page.margin.inner">54pt</xsl:param>

<xsl:param name="page.margin.top">54pt</xsl:param>
<xsl:param name="page.margin.bottom">24pt</xsl:param>
<xsl:param name="region.before.extent">0pt</xsl:param>

<xsl:param name="body.margin.top">0pt</xsl:param>
<xsl:param name="body.margin.bottom">30pt</xsl:param>
<xsl:param name="region.after.extent">1em</xsl:param>
<xsl:param name="body.start.indent">0pt</xsl:param>

<xsl:param name="title.margin.left" select="'0pt'"/>

<xsl:param name="alignment">left</xsl:param>

<xsl:param name="draft.watermark.image" select="''"/>

<!-- Add other variable definitions here -->
<xsl:param name="shade.verbatim">0</xsl:param>
<xsl:param name="callout.unicode">1</xsl:param>
<xsl:param name="callout.graphics">0</xsl:param>
<!-- <xsl:param name="callout.unicode.start.character" select="10122"/> -->

<!-- Activate numbering of sections -->
<xsl:param name="section.label.includes.component.label" select="1"/>
<xsl:param name="section.autolabel" select="1"/>
<xsl:param name="section.autolabel.max.depth" select="2"/>
<xsl:param name="autotoc.label.separator" select="' '"/>
<xsl:param name="toc.indent.width">15</xsl:param>


<!-- Control generation of ToCs and LoTs -->
<xsl:param name="generate.toc">
/appendix toc,title
article/appendix  nop
/article  toc,title
book      toc,title
chapter   nop
part      nop
/preface  nop
qandadiv  toc
qandaset  toc
reference toc,title
/sect1    toc
/sect2    toc
/sect3    toc
/sect4    toc
/sect5    toc
/section  toc
set       nop
</xsl:param>
<xsl:param name="toc.section.depth">1</xsl:param>

<!-- Format variablelists lists as blocks? -->
<xsl:param name="variablelist.as.blocks" select="1"/>

<!-- Present glossarys using blocks instead of lists? -->
<xsl:param name="glossary.as.blocks" select="1"/>

<!-- Default punctuation character on a run-in-head -->
<xsl:param name="runinhead.default.title.end.punct" select="''"/>

<!-- Default width of tables -->
<xsl:param name="default.table.width">100%</xsl:param>
<xsl:param name="table.frame.border.style">none</xsl:param>
<xsl:param name="table.cell.border.style">none</xsl:param>


<!--<xsl:param name="autotoc.label.separator" select="'
'"></xsl:param>-->

<!-- Use blocks for glosslists? -->
<xsl:param name="glosslist.as.blocks" select="1"/>

<xsl:param name="menuchoice.separator"> &#x2192; </xsl:param>
<xsl:param name="menuchoice.menu.separator"> &#x2192; </xsl:param>
<xsl:param name="preferred.mediaobject.role">fo</xsl:param>
<xsl:param name="ulink.hyphenate">&#x200B;</xsl:param>
<xsl:param name="ulink.show" select="0"/>

<xsl:param name="img.src.path">../images/print/</xsl:param>

<xsl:param name="admon.graphics">
   <xsl:choose>
      <xsl:when test="name(/*)='article'">1</xsl:when>
      <xsl:otherwise>0</xsl:otherwise>
   </xsl:choose>
</xsl:param>
<xsl:param name="admon.graphics.extension">.svg</xsl:param>
<xsl:param name="admon.graphics.path"
>file:///usr/share/xml/docbook/stylesheet/nwalsh/current/images/</xsl:param>


<xsl:param name="local.l10n.xml" select="document('../common/l10n/l10n.xml')"/>

<!-- format.print = 1: print, 0: online -->
<xsl:param name="format.print">1</xsl:param>

<!-- Where are the XML sources located? -->
<xsl:param name="xml.source.dir">xml/</xsl:param>

<xsl:param name="insert.xref.page.number">yes</xsl:param>

</xsl:stylesheet>
