<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xref.xsl,v 1.1 2005/09/26 11:09:09 toms Exp $ -->
<!DOCTYPE xsl:stylesheet>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:svg="http://www.w3.org/2000/svg">



<xsl:template match="xref" name="xref">
  <xsl:variable name="targets" select="key('id',@linkend)"/>
  <xsl:variable name="target" select="$targets[1]"/>
  <xsl:variable name="refelem" select="local-name($target)"/>
  <xsl:variable name="target.book" select="$target/ancestor-or-self::book"/>
  <xsl:variable name="this.book" select="ancestor-or-self::book"/>

<!-- <xsl:message>
 count(targets): <xsl:value-of select="count($targets)"/>
 target:         <xsl:value-of select="name($target)"/>
 refelem:        <xsl:value-of select="$refelem"/>
 ancestor:       <xsl:value-of select="$target.book/@condition"/>
 title:          <xsl:value-of select="$target.book/bookinfo/title"/>
.......................................
</xsl:message>-->

  <xsl:call-template name="check.id.unique">
    <xsl:with-param name="linkend" select="@linkend"/>
  </xsl:call-template>

  <xsl:choose>
    <xsl:when test="(generate-id($target.book) = generate-id($this.book)) or
                     not(/set) or /article">
       <xsl:apply-imports/><!-- Use the default -->
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="/set/@id=$rootid or
                        /article/@id=$rootid">
           <xsl:apply-imports/><!-- If we use the whole set, do the usual stuff -->
        </xsl:when>
        <xsl:otherwise>
         <xsl:apply-templates select="$target" mode="xref-to">
            <xsl:with-param name="referrer" select="."/>
            <xsl:with-param name="xrefstyle">nonumber</xsl:with-param>
         </xsl:apply-templates>
         <xsl:text> (</xsl:text>
         <xsl:if test="$target/self::sect1 or
                       $target/self::sect2 or
                       $target/self::sect3 or
                       $target/self::sect4">
         <!--<xsl:message> **** <xsl:value-of select="local-name($target)"/>
   <xsl:value-of select="$target/ancestor-or-self::chapter/title"/>
         </xsl:message>-->
               <xsl:apply-templates select="$target/ancestor-or-self::chapter |
                                            $target/ancestor-or-self::appendix |
                                            $target/ancestor-or-self::preface" mode="xref-to">
                  <xsl:with-param name="referrer" select="."/>
                  <!--<xsl:with-param name="xrefstyle">select: labelnumber title</xsl:with-param>-->
               </xsl:apply-templates>
               <xsl:text>, </xsl:text>
            </xsl:if>
         <xsl:text>&#x2191;</xsl:text>
         <xsl:value-of select="$target.book/bookinfo/title"/>
         <xsl:text>)</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>


<xsl:template match="*" mode="page.citation">
  <xsl:param name="id" select="'???'"/>

  <fo:inline>
    <xsl:call-template name="substitute-markup">
      <xsl:with-param name="template">
        <xsl:call-template name="gentext.template">
          <xsl:with-param name="name" select="'page.citation'"/>
          <xsl:with-param name="context" select="'xref'"/>
        </xsl:call-template>
      </xsl:with-param>
    </xsl:call-template>
  </fo:inline>
</xsl:template>

</xsl:stylesheet>