<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<!-- ... -->

<!-- ==================================================================== -->

<xsl:template name="header.navigation" >
  <xsl:param name="prev" select="/foo"/>
  <xsl:param name="next" select="/foo"/>
  <xsl:param name="nav.context"/>

  <xsl:variable name="home" select="/*[1]"/>
  <xsl:variable name="up" select="parent::*"/>

  <xsl:variable name="row1" select="$navig.showtitles != 0"/>
  <xsl:variable name="row2" select="count($prev) &gt; 0
                                    or (count($up) &gt; 0
                                        and $up != $home
                                        and $navig.showtitles != 0)
                                    or count($next) &gt; 0"/>


  <xsl:if test="$suppress.navigation = '0' and $suppress.header.navigation = '0'">
    <div class="navheader">
      <xsl:if test="$row1 or $row2">
        <table width="100%" summary="Navigation header" border="0">
          <xsl:if test="$row1">
            <tr>
              <th colspan="5" align="center">
                <xsl:value-of select="/*/title"/>
                <xsl:if test="/*/subtitle">
                  <xsl:text>&#160;&#x2013;&#160;</xsl:text><!-- &nbsp;&ndash;&nbsp; -->
                  <xsl:value-of select="/*/subtitle"/>
                </xsl:if>
                <br/>
                <xsl:choose>
                  <xsl:when test="count($up) > 0
                                  and $up != $home
                                  and $navig.showtitles != 0">
                    <xsl:apply-templates select="$up" mode="object.title.markup"/>
                    <xsl:text>&#160;/&#160;</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>
                <xsl:apply-templates select="." mode="object.title.markup"/>
              </th>
            </tr>
          </xsl:if>

          <xsl:if test="$row2">
            <tr>
              <td width="5%" align="left" valign="center">
                <xsl:if test="count($prev)>0">
                  <a accesskey="p">
                    <xsl:attribute name="href">
                      <xsl:call-template name="href.target">
                        <xsl:with-param name="object" select="$prev"/>
                      </xsl:call-template>
                    </xsl:attribute>
                    <xsl:call-template name="navig.content">
                      <xsl:with-param name="direction" select="'prev'"/>
                    </xsl:call-template>
                  </a>
                </xsl:if>
              </td>
              <td width="40%" align="left" valign="center">
                 <xsl:if test="$navig.showtitles != 0 and count($prev)>0">
                    <a accesskey="p">
                     <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                           <xsl:with-param name="object" select="$prev"/>
                        </xsl:call-template>
                     </xsl:attribute>
                     <xsl:apply-templates select="$prev" mode="object.title.markup"/>
                    </a>
                 </xsl:if>
              </td>
              <td width="10%" align="center" valign="center"/><!-- Empty td, just for alignment -->
              <td width="40%" align="right" valign="center">
                  <xsl:if test="$navig.showtitles != 0 and count($next)>0">
                    <a accesskey="n">
                     <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                           <xsl:with-param name="object" select="$next"/>
                        </xsl:call-template>
                     </xsl:attribute>
                     <xsl:apply-templates select="$next" mode="object.title.markup"/>
                    </a>
                  </xsl:if>
              </td>
              <td width="5%" align="right" valign="center">
                <xsl:if test="count($next)>0">
                  <a accesskey="n">
                    <xsl:attribute name="href">
                      <xsl:call-template name="href.target">
                        <xsl:with-param name="object" select="$next"/>
                      </xsl:call-template>
                    </xsl:attribute>
                    <xsl:call-template name="navig.content">
                      <xsl:with-param name="direction" select="'next'"/>
                    </xsl:call-template>
                  </a>
                </xsl:if>
              </td>
            </tr>
          </xsl:if>
        </table>
      </xsl:if>
      <xsl:if test="$header.rule != 0">
        <hr/>
      </xsl:if>
    </div>
  </xsl:if>
</xsl:template>



<!-- ==================================================================== -->

<xsl:template name="footer.navigation">
  <xsl:param name="prev" select="/foo"/>
  <xsl:param name="next" select="/foo"/>
  <xsl:param name="nav.context"/>

  <xsl:variable name="home" select="/*[1]"/>
  <xsl:variable name="up" select="parent::*"/>

  <xsl:variable name="row1" select="count($prev) &gt; 0
                                    or count($up) &gt; 0
                                    or count($next) &gt; 0"/>

  <xsl:variable name="row2" select="($prev and $navig.showtitles != 0)
                                    or ($home != . or $nav.context = 'toc')
                                    or ($chunk.tocs.and.lots != 0
                                        and $nav.context != 'toc')
                                    or ($next and $navig.showtitles != 0)"/>

  <xsl:if test="$suppress.navigation = '0' and $suppress.footer.navigation = '0'">
    <div class="navfooter">
      <xsl:if test="$footer.rule != 0">
        <hr/>
      </xsl:if>

      <xsl:if test="$row1 or $row2">
        <table width="100%" summary="Navigation footer" border="0">
          <xsl:if test="$row2">
            <tr>
              <td width="5%" align="left" valign="center">
                <xsl:if test="count($prev)>0">
                  <a accesskey="p">
                     <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                           <xsl:with-param name="object" select="$prev"/>
                        </xsl:call-template>
                     </xsl:attribute>
                     <xsl:call-template name="navig.content">
                        <xsl:with-param name="direction" select="'prev'"/>
                     </xsl:call-template>
                  </a>
                </xsl:if>
               </td>
               <td width="40%" align="left" valign="center">
                  <xsl:if test="$navig.showtitles != 0 and count($prev)>0">
                    <a accesskey="p">
                     <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                           <xsl:with-param name="object" select="$prev"/>
                        </xsl:call-template>
                     </xsl:attribute>
                     <xsl:apply-templates select="$prev" mode="object.title.markup"/>
                    </a>
                  </xsl:if>
              </td>
              <td width="10%" align="center" valign="center">
                <xsl:choose>
                  <xsl:when test="$home != . or $nav.context = 'toc'">
                    <a accesskey="h">
                      <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                          <xsl:with-param name="object" select="$home"/>
                        </xsl:call-template>
                      </xsl:attribute>
                      <xsl:call-template name="navig.content">
                        <xsl:with-param name="direction" select="'home'"/>
                      </xsl:call-template>
                    </a>
                    <xsl:if test="$chunk.tocs.and.lots != 0 and $nav.context != 'toc'">
                      <xsl:text>&#160;|&#160;</xsl:text>
                    </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>&#160;</xsl:otherwise>
                </xsl:choose>

                <xsl:if test="$chunk.tocs.and.lots != 0 and $nav.context != 'toc'">
                  <a accesskey="t">
                    <xsl:if test="$navig.showtitles != 0">
                      <xsl:apply-templates select="$next" mode="object.title.markup"/>
                    </xsl:if>
                    <xsl:attribute name="href">
                      <xsl:apply-templates select="/*[1]"
                                           mode="recursive-chunk-filename"/>
                      <xsl:text>-toc</xsl:text>
                      <xsl:value-of select="$html.ext"/>
                    </xsl:attribute>
                    <xsl:call-template name="gentext">
                      <xsl:with-param name="key" select="'nav-toc'"/>
                    </xsl:call-template>
                  </a>
                </xsl:if>
              </td>
              <td width="40%" align="right" valign="center">
                <xsl:if test="$navig.showtitles != 0 and count($next)>0">
                  <a accesskey="n">
                    <xsl:attribute name="href">
                      <xsl:call-template name="href.target">
                        <xsl:with-param name="object" select="$next"/>
                      </xsl:call-template>
                    </xsl:attribute>
                    <xsl:apply-templates select="$next" mode="object.title.markup"/>
                    <!--<xsl:text>&#160;</xsl:text>//-->
                </a>
                </xsl:if>
              </td>
              <td width="5%" align="right" valign="center">
                <xsl:if test="count($next)>0">
                  <a accesskey="n">
                     <xsl:attribute name="href">
                        <xsl:call-template name="href.target">
                           <xsl:with-param name="object" select="$next"/>
                        </xsl:call-template>
                     </xsl:attribute>
                     <xsl:call-template name="navig.content">
                           <xsl:with-param name="direction" select="'next'"/>
                     </xsl:call-template>
                  </a>
                </xsl:if>
              </td>
            </tr>
          </xsl:if>
        </table>
      </xsl:if>
    </div>
  </xsl:if>
</xsl:template>


<xsl:template match="releaseinfo">
   <xsl:apply-templates/>
</xsl:template>


<xsl:template name="user.footer.content">
   <xsl:if test="/book/bookinfo/productnumber">
      <div class="userfootercontent">
      <hr/>
      <center>
         <xsl:value-of select="/book/bookinfo/productname" />
         <xsl:text> </xsl:text>
         <xsl:value-of select="/book/bookinfo/titleabbrev"/>
         <xsl:text> </xsl:text>
         <xsl:value-of select="/book/bookinfo/productnumber" />
      </center></div>
   </xsl:if>
</xsl:template>


<!-- Something that we can consider in the future:

<xsl:template name="user.footer.navigation">
   <div class="userfooternavigation">
      <table width="100%" >
      <tbody>
         <tr width="50%">
         <td><a
   href="http://www.suse.de/en/company/index.html">About SUSE</a>
         </td>
         <td width="50%"><a
   href="ln-copyright.html">Legal notice</a>
         </td>
         </tr>
      </tbody>
      </table>
   </div>
</xsl:template>
//-->


</xsl:stylesheet>
