<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:svg="http://www.w3.org/2000/svg">



<xsl:template match="xref" name="xref">
  <xsl:variable name="targets" select="key('id',@linkend)"/>
  <xsl:variable name="target" select="$targets[1]"/>
  <xsl:variable name="refelem" select="local-name($target)"/>
  <xsl:variable name="target.book" select="$target/ancestor-or-self::book"/>
  <xsl:variable name="this.book" select="ancestor-or-self::book"/>

<!-- <xsl:message>
 count(targets): <xsl:value-of select="count($targets)"/>
 target:         <xsl:value-of select="name($target)"/>
 refelem:        <xsl:value-of select="$refelem"/>
 ancestor:       <xsl:value-of select="$target.book/@condition"/>
 title:          <xsl:value-of select="$target.book/bookinfo/title"/>
.......................................
</xsl:message>-->

  <xsl:call-template name="check.id.unique">
    <xsl:with-param name="linkend" select="@linkend"/>
  </xsl:call-template>

  <xsl:choose>
    <xsl:when test="($target.book/@role = $this.book/@role) or not(/set) or /article">
       <xsl:apply-imports/><!-- Use the default -->
    </xsl:when>
    <xsl:otherwise>
         <xsl:apply-imports/>
         <xsl:text> </xsl:text>
         <a>
          <xsl:attribute name="href">
           <xsl:apply-templates select="$target.book" mode="recursive-chunk-filename"/>
          </xsl:attribute>
         <xsl:text>(&#x2191;</xsl:text>
         <xsl:value-of select="$target.book/bookinfo/title"/>
         <xsl:text>)</xsl:text>
         </a>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>



</xsl:stylesheet>

