<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: search4includedfiles.xsl,v 1.2 2005/07/20 13:53:54 toms Exp $ -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xi3="http://www.w3.org/2003/XInclude">

<!--
 This stylesheet search for XInclude elements like

   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="foo.xml"/>

 It prints only filenames that are included from the main file.

 See specification http://www.w3.org/TR/xinclude/ for
 more information

 The parameter "rootid" can be used to list only <xi:include>s
 under a specific element.

-->


<xsl:output method="text"/>

<xsl:param name="rootid"/>
<xsl:key   name="id" match="*" use="@id|@xml:id"/>

<xsl:template match="/">
  <xsl:choose>
    <xsl:when test="$rootid != ''">
      <xsl:choose>
        <xsl:when test="count(key('id',$rootid)) = 0">
          <xsl:message terminate="yes">
            <xsl:text>ID '</xsl:text>
            <xsl:value-of select="$rootid"/>
            <xsl:text>' not found in document.</xsl:text>
          </xsl:message>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates select="key('id',$rootid)" mode="xinclude" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates  mode="xinclude"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template match="/"  mode="xinclude">
   <xsl:apply-templates  mode="xinclude"/>
</xsl:template>


<xsl:template match="text()"  mode="xinclude"/>

<xsl:template match="xi:include|xi3:include"  mode="xinclude">
   <xsl:param name="dir" />
   <xsl:value-of select="concat($dir, @href)"/>
   <xsl:text>&#10;</xsl:text>
   <xsl:apply-templates select="document(@href)" mode="xinclude">
<!--      <xsl:with-param name="dir">
         <xsl:call-template name="dirname">
            <xsl:with-param name="dir" select="@href"/>
         </xsl:call-template>
      </xsl:with-param>//-->
   </xsl:apply-templates>
</xsl:template>


<xsl:template name="dirname">
   <xsl:param name="dir" />
   <xsl:variable name="_dir"  select="substring-before($dir, '/')"/>
   <xsl:variable name="_name" select="substring-after($dir, '/')"/>

   <xsl:message>
      _dir  = <xsl:value-of select="$_dir"/>
      _name = <xsl:value-of select="$_name"/>
   </xsl:message>

   <xsl:choose>
      <xsl:when test="contains($_name, '/')">
         <xsl:call-template name="dirname">
            <xsl:with-param name="dir" select="$_name"/>
         </xsl:call-template>
      </xsl:when>
      <xsl:when test="$_dir=''"/>
      <xsl:otherwise>
         <xsl:value-of select="concat($_dir, '/')"/>
      </xsl:otherwise>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>